summaryrefslogtreecommitdiff
path: root/misc/tests/git-server-git-protocol.sh
diff options
context:
space:
mode:
Diffstat (limited to 'misc/tests/git-server-git-protocol.sh')
-rwxr-xr-xmisc/tests/git-server-git-protocol.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/misc/tests/git-server-git-protocol.sh b/misc/tests/git-server-git-protocol.sh
new file mode 100755
index 0000000..a3eccf4
--- /dev/null
+++ b/misc/tests/git-server-git-protocol.sh
@@ -0,0 +1,18 @@
+#! /usr/bin/env bash
+
+tmp=`mktemp -d`
+
+cd $tmp
+
+# Git protocol
+git clone git://git.ilvokhin.com/infra.git > /dev/null 2>&1
+
+if [ $? -eq 0 ]; then
+ echo "git: OK"
+ rm -rf infra
+else
+ echo "git: FAIL"
+fi
+
+cd - > /dev/null
+rm -rf $tmp